## com.google.appengine.api.capabilities.dev
Class LocalCapabilitiesService

    java.lang.Object
      AbstractLocalRpcService
          com.google.appengine.api.capabilities.dev.LocalCapabilitiesService

    @ServiceProvider(value=<error>)
    public class LocalCapabilitiesService

extends AbstractLocalRpcService

Java stub implementation of the capabilities api backend.

Field Summary
`static java.lang.String` `PACKAGE` The package name for this service.

Constructor Summary
`LocalCapabilitiesService()`

Method Summary
`java.lang.String` `getPackage()`
`void` `init(LocalServiceContext context, java.util.Map<java.lang.String,java.lang.String> properties)`
`IsEnabledResponse` `isEnabled(Status status, IsEnabledRequest request)` Implementation of RPC IsEnabled.
`void` `start()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PACKAGE

    public static final java.lang.String PACKAGE

  The package name for this service.

  See Also:
    Constant Field Values

Constructor Detail

### LocalCapabilitiesService

    public LocalCapabilitiesService()

Method Detail

### getPackage

    public java.lang.String getPackage()

### init

    public void init(LocalServiceContext context,
                     java.util.Map<java.lang.String,java.lang.String> properties)

### start

    public void start()

### stop

    public void stop()

### isEnabled

    public IsEnabledResponse isEnabled(Status status,
                                       IsEnabledRequest request)

  Implementation of RPC IsEnabled. Everything is enabled in the local dev.

  Parameters:
    `status` - RPC status
    `request` - `IsEnabledRequest`
  Returns:
    `IsEnabledResponse`